<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div id="changeTariffResult"></div>

<c:choose>
	<c:when test="${mode eq 'selectTariff'}">
		<div class="titleFont3">Изменение тарифа</div>
		<div class="paramColor" style="margin-top: 10px;">Текущий тариф:</div>
		<div class="titleFont3" style="text-align: center;">${tariffMap[fromTariff.tariffPlanId].titleWeb}</div>
		<div class="paramColor" style="margin-top: 10px;">Новый тариф:</div>
		<c:forEach var="item" items="${toTariffList}">
		<div class="button1" style="margin: 20px auto; text-align: center; width: 90%; cursor: pointer; border: 1px solid #888; background-color: #eee;" 
			onclick="showBlock( 'tariffForm', 'selectDate', { ...tariffPlanQuery, fromTariffId: ${fromTariff.id}, toTariffId: ${item['id']} } ); return false;">${item.titleWeb}</div>
		</c:forEach>
		<div style="margin: 30px auto; text-align: center;"><input class="button1" type="button" value="Отменить изменение тарифа" style="width: 90%;" 
			onclick="showBlock( 'tariffForm', 'tariff', tariffPlanQuery ); return false;"/></div>			
	</c:when>
	<c:when test="${mode eq 'selectDate'}">
		<div class="titleFont3">Изменение тарифа</div>
		<div class="paramColor" style="margin-top: 10px;">Текущий тариф:</div>
		<div class="titleFont3" style="text-align: center;">${tariffMap[fromTariff.tariffPlanId].titleWeb}</div>
		<div class="paramColor" style="margin-top: 10px;">Новый тариф:</div>
		<div class="titleFont3" style="text-align: center;">${toTariff.titleWeb}</div>
		<div class="paramColor" style="margin-top: 10px;">Изменить тариф с:</div>
		<div class="flexRow" style="justify-content: center; flex-wrap: wrap;">
		<c:forEach var="item" items="${changeTariffDate}">
			<fmt:formatDate var="toTariffDate" value="${item}" type="DATE" dateStyle="SHORT" pattern="dd.MM.yyyy"/>
			<div class="button1" style="margin: 5px; cursor: pointer; border: 1px solid #888; padding: 5px; background-color: #eee;"
			onclick="showBlock( 'changeTariffResult', 'changeTariff', { ...tariffPlanQuery, fromTariffId: ${fromTariff.id}, toTariffId: ${toTariff.id}, toTariffDate: '${toTariffDate}' } ); return false;"><fmt:formatDate value="${item}" type="DATE" dateStyle="SHORT"/></div>
		</c:forEach>
		</div>
		<div style="margin: 30px auto; text-align: center;"><input class="button1" type="button" value="Отменить изменение тарифа" style="width: 90%;" 
			onclick="showBlock( 'tariffForm', 'tariff', tariffPlanQuery ); return false;"/></div>			
	</c:when>
	<c:otherwise>
		<div class="titleFont3">Текущие тарифы</div>
		<c:forEach var="item" varStatus="status" items="${tariffList}">
		<div style="margin: 10px;">
			<div class="flexRow">
				<div class="paramColor paramFont"><span><fmt:formatDate dateStyle="SHORT" value="${item['date1']}"/> - 
				<c:choose>
					<c:when test="${not empty item['date2']}"><fmt:formatDate dateStyle="SHORT" value="${item['date2']}"/></c:when>
					<c:otherwise>...</c:otherwise>
				</c:choose></span></div>
				<div class="paramColor paramFont"><c:if test="${item['type'] == '1'}">персональый тариф</c:if></div>
			</div>
			<div class="titleFont3" style="margin: 5px 0px; text-align: center;">${item['title']}</div>
			<c:set var="newTariff" value="${cancelMap[item['id']]}"/>
			<c:if test="${not empty newTariff}">
				<div style="text-align: center; color: #888; margin: 5px;">Переход с <fmt:formatDate dateStyle="SHORT" value="${newTariff['date1']}"/> на тариф:</div>
				<div class="titleFont3" style="margin: 5px 0px; text-align: center;">${newTariff['title']}</div>
				<c:if test="${newTariff['canCancel'] > 0}"><div style="margin-top: 10px; text-align: center;"><button class="button1" 
					onclick="showBlock( 'changeTariffResult', 'cancelChangeTariff', { ...tariffPlanQuery, contractTariffId: ${newTariff['id']} } ); return false;">Отменить смену тарифа</button></div>
				</c:if>
			</c:if>
			
			<c:if test="${not empty item['toTariffList']}"><div style="margin-top: 10px; text-align: center;"><input class="button1" type="button" value="Сменить тариф" 
				onclick="showBlock( 'tariffForm', 'selectTariff', { ...tariffPlanQuery, fromTariffId: ${item['id']} } ); return false;"/></div></c:if>
		</div>
		<c:if test="${not status.last}"><div class="line"></div></c:if>
		</c:forEach>
	</c:otherwise>
</c:choose>

<%--
<div class="report">
	<table>
		 <tbody>
		 	<c:forEach var="item" items="${tariffList}">
			<tr>
				<td>
					<form method='get' action='' onsubmit="return confirm('Вы уверены, что хотите сменить тариф?')">
						<input type="hidden" name="action" value="ChangeTariff"/>
						<input type="hidden" name="command" value="change"/>
						<input type="hidden" name="tariff_group" value="${item['group']}"/>
						<table cellspacing="0" border="0">
							<td nowrap="1">	
								Перейти на тариф:
								<select name="to_tariff" >
									<c:forEach var="tariff" items="${item['tariff_list']}">
										<option value="${tariff.id}"> ${tariff.title}</option>
									</c:forEach>			
								</select>
								с даты:
								<select name="from_date" >
									<c:forEach var="date" items="${item['date_list']}">
										<option value="${date.value }" >${date.value }</option>
									</c:forEach>
								</select>
							</td>
						</table>
					</form>	
				</td>
			</tr>
		  </c:forEach>
		</tbody>	
	</table>
</div>
--%>
