<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%><!doctype html>
<%-- иконки https://icon-icons.com/ru/pack/UI-&-Office/3106&page=1 --%>
<html lang="ru">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<link href="${contextPath}/css/jquery-ui.min.css" rel="stylesheet" type="text/css"/>
		<link href="${contextPath}/style.css" rel="stylesheet" type="text/css"/>
		<!-- специальный пустой css файл для пользовательский стилей, не перетирается при обновлениях -->
		<link href="${contextPath}/custom.css" rel="stylesheet" type="text/css"/>
		<script src="${contextPath}/js/jquery-min.js"></script>
		<script src="${contextPath}/js/jquery.form.js"></script>
		<script src="${contextPath}/js/jquery-ui.min.js"></script>
		<script src="${contextPath}/js/common.js"></script>
		<script src="${contextPath}/js/bgbilling.js"></script>
		<script src="${contextPath}/js/jquery.bg.widgets.js"></script>
		<!-- специальный пустой js файл для пользовательский функций, не перетирается при обновлениях -->
		<script src="${contextPath}/js/custom.js"></script>
		<title>BGBilling || 
		<c:set var="pageTitleFromMenu"><c:forEach var="menuItem" items="${menuItemList}"><c:if test="${module eq menuItem.module && action eq menuItem.action}">${menuItem.title}</c:if></c:forEach></c:set>
	  	<c:choose>
	  		<c:when test="${not empty pageTitleFromMenu}">${pageTitleFromMenu}</c:when>
	  		<c:otherwise>${pageTitle}</c:otherwise>
<%-- 
	  		<c:when test="${action eq 'DistributeBalance'}">РАСПРЕДЕЛЕНИЕ СРЕДСТВ</c:when>
	  		<c:when test="${action eq 'Subscription'}">ПОДПИСКА НА РАССЫЛКИ</c:when>
	  		<c:when test="${action eq 'DispatchBalance'}">РАССЫЛКА БАЛАНСА</c:when>
--%>
	  	</c:choose>
		</title>
		
		<script type="text/javascript">
			var webexecuter = "webexecuter";
			var contractId = ${contract_current.id};

			let dashboardModule = "contract.dashboard";
			let dashboardQuery = { operation: '', action: 'Dashboard', module: dashboardModule, mid: 0, contractId: contractId };
		
			function disableButton( button ) {	
				button.disabled = true;	   
			}
		</script>
	</head>
	<body>
		<div class="pageHeader">
			<div class="content">
			<div class="logo"><a href="?"></a></div>
			<c:if test="${not empty contract}">
				<div class="contract"><a href="?module=contract.basic&action=Contracts"><img src="${contextPath}/img/user.png" title="договор" height="28" style="vertical-align: text-bottom; padding-right: 5px;"><span>${contract.title}</span></a></div>
			</c:if>
			<div class="bgBalanceInformerWidget balance" style="width: 10em; text-align: center;" jsp="widget/contract/headerBalanceInformer.jsp"></div>
			<div class="buttons bgMenuButtons">
				<c:if test="${not empty notificationsCount}"><div class=""><a href="?action=Notification&mid=0&module=contract.basic&contractId=${contract.id}"><img src="${contextPath}/img/alert.png" title="уведомления" height="28"></a></div></c:if>
				<div class="bgMenu"><img src="${contextPath}/img/menu.png" title="меню" height="28">
					<ul style="right: -25px; top: 28px;">
						<li><a href="?action=Parameters&mid=0&module=contract.basic&contractId=${contract.id}">Параметры договора</a></li>
						<li><a href="?action=Password&mid=0&module=contract.basic&contractId=${contract.id}">Смена пароля</a></li>
						<li><a href="?action=Notes&mid=0&module=contract.basic&contractId=${contract.id}">Примечания</a></li>
					</ul>
				</div>
				<div><a onClick="return confirm('Покинуть Личный кабинет?');" href="${contextPath}/webexecuter?action=Exit&mid=contract"><img src=" ${contextPath}/img/exit1.png" title="выход" height="28"></a></div>
			</div>
			</div>
		</div>
		<div id="all" style="margin: 6rem auto 0rem auto;">

			<div style="display: flex; flex-direction: row; justify-content: flex-end;"></div>
				<%-- 
				<c:if test="${not empty subContract}"><b>Субдоговор:</b><ul><li style="background: none;"><a href="?action=Super&amp;mid=contract&amp;id=${subContract.id}">${subContract.title}</a></li></ul></c:if>
				<c:if test="${not empty superContract}"><b>Супердоговор:</b><ul><li style="background: none;"><a href="?action=Super&mid=contract&id=-1">${superContract.title}</a></li></ul></c:if>
				<c:if test="${not empty subContractList}">
					<b>Субдоговор(ы):</b>
					<c:choose>
					<c:when test="${fn:length(subContractList) <= 5}">
					<ul>
						<c:forEach var="item" items="${subContractList}" varStatus="status">
							<c:set var="background"><c:if test="${status.index == 0}">style="background: none;"</c:if></c:set>
							<li ${background}><a href="?action=Super&mid=contract&id=${item.id}">${item.title}</a></li>
						</c:forEach>
					</ul>
					</c:when>
					<c:otherwise>
					<form action="" method="GET" style="display: inline">
						<input type="hidden" name="action" value="Super"/>
						<input type="hidden" name="module" value="contract"/>
						<input type="hidden" name="mid" value="0"/>
						<select name="id" onChange="this.form.submit();" style="margin: 0pt; margin-left: 5pt;">
					        <option value="-1">-</option>
					        <c:forEach var="item" items="${subContractList}">
					        	<c:set var="selected"><c:if test="${item.id == contract.id}">selected="selected"</c:if></c:set>
				                <option value="${item.id}" ${selected}>${item.title}</option>
					        </c:forEach>
						</select>
                       </form>
					</c:otherwise>
					</c:choose>
				</c:if>
				--%>

			<!-- content -->
			<div class="content" style="height: 100%;">
	        	<script>
			      <!--
						document.cookie = 'BGBILLING=1; samesite=strict';
						var ccc = document.cookie;
						if ( ccc == undefined || ccc.length == 0 || ccc.indexOf( "BGBILLING" ) == -1 ) { document.write( '<div class="errorMessage">ВНИМАНИЕ!!! Для корректной работы с данным сайтом необходимо включить поддержку Cookies в браузере. Как это сделать смотрите <a href="#"	onClick="window.open(\'help/cookies.html\', \'mywin2\', \'toolbar=no,status=no,width=600,height=455\'); return false;">здесь</a>.</div>' ); }
			      	--> 
			    </script>
			    
			    <div id="dashboardPaths">&nbsp;</div>
			
				<c:if test="${not empty contract and module != 'contract.dashboard'}">
					<div class="pageTitle" id="pageTitle"><c:choose><c:when test="${not empty pageTitleFromMenu}">${pageTitleFromMenu}</c:when><c:otherwise>${pageTitle}</c:otherwise></c:choose></div>
					<c:if test="${not empty errorStatus}"><div class="errorMessage">${errorStatus[1]}</div></c:if>
				</c:if>
			
				<div id="contentRoot" class="pageRoot">
				<%@include file="include/error.jsp" %>
				<c:choose>
					<c:when test="${module eq 'bill'}"><jsp:include page="bill/body.jsp"/></c:when>
					<c:when test="${module eq 'contract' }"><%@ include file="contract/body.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'AdditionalAction'}"><%@ include file="contract/additional_action.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Limit'}"><%@ include file="contract/limit.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Notification'}"><%@ include file="contract/notification.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Notes'}"><%@ include file="contract/notes.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Parameters'}"><%@ include file="contract/parameters.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Password'}"><%@ include file="contract/password.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Status'}"><%@ include file="contract/status.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'TariffPlan' }"><%@ include file="contract/tariff_plan.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'TariffOption' }"><%@ include file="contract/tariff_option.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Balance' }"><%@ include file="contract/balance_body.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Contracts' }"><%@ include file="contract/contracts.jsp"%></c:when>
					<c:when test="${module eq 'contract.basic' and action eq 'Cards' }"><%@ include file="contract/cards.jsp"%></c:when>
					<c:when test="${module eq 'contract.dashboard' }"><%@ include file="contract/dashboard.jsp"%></c:when>
					<c:when test="${module eq 'dialup'}"><jsp:include page="dialup/body.jsp"/></c:when>
					<c:when test="${module eq 'drweb'}"><jsp:include page="drweb/body.jsp"/></c:when>
					<c:when test="${module eq 'email'}"><jsp:include page="email/body.jsp"/></c:when>
					<c:when test="${module eq 'ipn'}"><jsp:include page="ipn/body.jsp"/></c:when>
					<c:when test="${module eq 'inet'}"><jsp:include page="inet/body.jsp"/></c:when>
					<c:when test="${module eq 'license'}"><jsp:include page="license/body.jsp"/></c:when>
					<c:when test="${module eq 'mps'}"><jsp:include page="mps/body.jsp"/></c:when>
					<c:when test="${module eq 'rscm'}"><jsp:include page="rscm/body.jsp"/></c:when>
					<c:when test="${module eq 'softline'}"><jsp:include page="softline/body.jsp"/></c:when>
					<c:when test="${module eq 'subscription'}"><jsp:include page="subscription/body.jsp"/></c:when>
					<c:when test="${module eq 'trayinfo'}"><jsp:include page="trayInfo/body.jsp"/></c:when>
					<c:when test="${module eq 'voice'}"><jsp:include page="voice/body.jsp"/></c:when>
					<c:when test="${module eq 'voiceip'}"><jsp:include page="voiceip/body.jsp"/></c:when>
					<c:when test="${module eq 'vidimax'}"><jsp:include page="vidimax/body.jsp"/></c:when>
					<c:when test="${module eq 'megogo'}"><jsp:include page="megogo/body.jsp"/></c:when>
					<c:when test="${module eq 'tv'}"><jsp:include page="tv/body.jsp"/></c:when>
					<%-- Платежные системы  --%>
					<c:when test="${module eq 'agr'}"><jsp:include				page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'alfabank'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'assist'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'bvcom'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'chronopay'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'cloudpayments'}"><jsp:include	page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'gazprombank'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'mobimoney'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'moneta'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'mtsbank'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'netpay'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'onpay'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'paykeeper'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'paymaster'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'payonline'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'payture'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'psb'}"><jsp:include 				page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'pscb'}"><jsp:include				page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'qiwi'}"><jsp:include				page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'rbkmoney'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'robokassa'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'rurupay'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'sberbank'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'simplepay'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'tinkoff'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'twpg'}"><jsp:include				page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'uniteller'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'vepay'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'vseplatezhi'}"><jsp:include		page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'yoomoney'}"><jsp:include			page="include/payment.jsp"/></c:when>
					<c:when test="${module eq 'wm'}"><jsp:include				page="include/payment.jsp"/></c:when>
					<%-- Плагины --%>
					<c:when test="${module eq 'ru.bitel.bgbilling.plugins.bonus'}"><jsp:include page="bonus/body.jsp"/></c:when>
					<c:when test="${module eq 'ru.bitel.bgbilling.plugins.documents'}"><jsp:include page="documents/body.jsp"/></c:when>
					<c:when test="${module eq 'ru.bitel.bgbilling.plugins.dispatch'}"><jsp:include page="dispatch/body.jsp"/></c:when>
					<c:when test="${module eq 'ru.bitel.bgbilling.plugins.helpdesk'}"><jsp:include page="helpdesk/body.jsp"/></c:when>
					<c:when test="${module eq 'ru.bitel.bgbilling.plugins.news'}"><jsp:include page="news/body.jsp"/></c:when>
					<%--  --%>
					<c:otherwise><%@ include file="contract/dashboard.jsp"%></c:otherwise>
				</c:choose>
				</div>
			</div>
			<!-- end content -->

			<jsp:include page="/WEB-INF/jspf/include/footer.jsp"/>
      	</div>
		<div id="requestLimit" class="bgmodal" style="display: none;">
			<div class="bgmodal_dialog">
				<div class="bgmodal-content titleFont2" style="padding: 75px; text-align: center;">Превышен лимит запросов</div>
			</div>
		</div>
		<div id="bgModal2" style="display: none;">
		<div class="bgmodal" aria-hidden="true">
		    <div class="bgmodal_dialog" aria-hidden="true">
				<div class="bgmodal-content">
		      		<div class="bgmodal-header">
		        		<h3 class="bgmodal-title" id="bgModal2-message-title"></h3>
		        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="document.getElementById( 'bgModal2' ).style.display = 'none'; return false;">×</a>
		        		<%--
		        		<c:choose>
		        			<c:when test="${message.onClose eq 'close'}"><a href="#" title="Закрыть окно" class="bgmodal-close" onclick="jQuery('#bgModal').parent().html(''); return false;">×</a></c:when>
		        			<c:when test="${message.onClose eq 'redirect'}">
				        		<c:if test="${not empty message.tabClick}"><c:set var="tabClick">jQuery('#${message.tabClick}').trigger('click'); </c:set></c:if>
				        		<c:set var="onclick">
				        		<c:choose>
				        			<c:when test="${not empty message.queryParamList}">${tabClick}; showBlock( '${message.targetId}', '${message.operation}', { ...${message.query}<c:forEach var="item" items="${message.queryParamList}">, ${item.key}: '${item.value}'</c:forEach> } );</c:when>
				        			<c:otherwise>${tabClick}showBlock( '${message.targetId}', '${message.operation}', ${message.query} );</c:otherwise>
				        		</c:choose>
				        		</c:set>
				        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="${onclick} return false;">×</a>
				        	</c:when>
		        			<c:when test="${message.onClose eq 'link'}">
				        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="window.open('${message.query}'); return false;">×</a>
							</c:when>
		        			<c:when test="${message.onClose eq 'reload'}">
				        		<a href="#" title="Закрыть окно" class="bgmodal-close" onclick="window.location.reload(true); return false;">×</a>
							</c:when>
									        	
		        			<c:otherwise>
		       				</c:otherwise>
			       		</c:choose>
			       		--%>
		      		</div>
		      		<div class="bgmodal-body" id="bgModal2-message-text"></div>
		    	</div>    
		    </div>
		</div>
		</div>		
    </body>
</html>
