<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<fmt:setLocale value="RU"/>

<div class="tile">
<c:forEach var="item" varStatus="status" items="${tariffOptions}">
	<div class="flexRow" style="font-size: 0.8rem;">
		<div style="margin-top: 10px; margin-left: 0px;">
			<div class="titleFont3" style="margin: 0px 0px 10px 0px;">Опция: ${item.optionTitle}</div>
			<div style="margin-left: 10px; line-height: 1.3rem;">
				<div class="paramColor">Начало: <span><fmt:formatDate type="BOTH" dateStyle="SHORT" timeStyle="SHORT" value="${item.timeFrom}"/></span></div>
				<div class="paramColor">Окончание: <span><fmt:formatDate type="BOTH" dateStyle="SHORT" timeStyle="SHORT" value="${item.timeTo}"/></span></div>
			</div>
		</div>
		<div style="margin-top: 10px; margin-top: 10px; text-align: right;">
			<div class="paramColor" style="font-size: 0.7rem;">Стоимость за активацию:</div>
			<div class="titleFont3"><fmt:formatNumber pattern="###,###,###,##0.00" value="${item.summa}"/><span class="CUR"/></div>
		</div>
	</div>
	<c:if test="${not status.last}"><div class="line"></div></c:if>
</c:forEach>
</div>			
<div class="comment" style="margin-top: 30px;"><b>Стоимость активации</b> - сумма, снимаемая в момент активации опции и не отражает периодической платы за пользование, если таковая предусмотрена в тарифном плане.</div>
